<?php
namespace App\Utils\InvoiceDueDate;

class Supplier extends \App\Utils\InvoiceDueDate\GeneralAbstract
{


	/**
	 *
	 * {@inheritDoc}
	 * @see \App\Utils\InvoiceDueDate\GeneralAbstract::getEntityPreferenceObject()
	 */
	protected function getEntityPreferenceObject()
	{
		return \App\EntityPreference\Supplier::getInstance($this->idEntity);
	}

	/**
	 *
	 * {@inheritDoc}
	 * @see \App\Utils\InvoiceDueDate\GeneralAbstract::getDefaultProfile()
	 */
	protected function getDefaultProfile()
	{
		return null;
	}

}
